#ifndef _SIN_WAVE_MODULE
#define _SIN_WAVE_MODULE

#include "ofMain.h"
#include "ofVec3f.h"
#include "graphicsModuleBase.h"

class sinWaveModule : public graphicsModuleBase {
	
	public:
		
		sinWaveModule();
		
		void 		setup();
		void 		reset();
	 	void 		update();
		void 		draw();
		bool 		bAmIdone();
		
		ofVec3f		getStartPosition();
		float		getStartAngle();
		
		
		float 		pct;
		ofVec3f 	pos;
		int 		framecount;	// so we don't do a new point every frame...
		bool 		bNewPos;
		

};

#endif	